<!--<template>
    <form action="#" @submit.prevent = "submit">
        <div>
            <label for="email">Correo electronico</label>
            <input type="email" name="email" id="email" v-model="form.email">
        </div>
        <div>
            <label for="password">Contraseña</label>
            <input type="text" name="password" id="password" v-model="form.password">
        </div>
        <button type="submit">Iniciar Session</button>
    </form>
</template>-->

<template>
    <div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100">
				<form class="login100-form validate-form"  @submit.prevent = "submit">
					<span class="login100-form-title p-b-34">
                        Identifiquese para ingresar
					</span>
					
					<div class="wrap-input100 rs1-wrap-input100 validate-input m-b-20" data-validate="Type user name">
						<input id="email" class="input100" type="email" name="email" placeholder="Correo Electronico" v-model="form.email" autocomplete="off">
						<span class="focus-input100"></span>
					</div>
					<div class="wrap-input100 rs2-wrap-input100 validate-input m-b-20" data-validate="Password" autocomplete="off">
						<input class="input100" type="password" name="password"  id="password" placeholder="Password"  v-model="form.password">
						<span class="focus-input100"></span>
					</div>
					
					<div class="container-login100-form-btn">
						<button class="login100-form-btn">
							Inicio de Sesion
						</button>
					</div>

					<div class="w-full text-center p-t-27 p-b-239">
						<span class="txt1">
							Forgot
						</span>

						<a href="#" class="txt2">
							User name / password?
						</a>
					</div>

					<div class="w-full text-center">
						<a href="#" class="txt3">
							Sign Up
						</a>
					</div>
				</form>

				<div class="login100-more img-login"></div>
			</div>
		</div>
	</div>

</template>
<style scoped>
    @import url('../../css/mainAuth'); 
    @import url('../../css/utilAutch'); 
</style>

<script>
import {mapActions} from 'vuex'
export default {
    name:'SignIn',
    data(){
        return {
            form:{
                email:'',
                password:''
            }
        }
    },
    methods:{
        ...mapActions({
            signIn:'auth/signIn'
        }),
        async submit(){
            console.log('ENVIANDO FORMULARIO')
            console.log(this.form)
            await this.signIn(this.form)
            this.$router.replace({name:'dashboard'})
        }
    }
}
</script>
